Bug 169512 - Review Request: net6 - A TCP protocol abstraction for library C++
Review Request: net6 - A TCP protocol abstraction for library C++
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://releases.0x539.de/net6
:
Depends On:
Blocks: FE-ACCEPT 169513
  Show dependency treegraph
 
Reported: 2005-09-29 02:52 EDT by Luke Macken
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 18:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-09-29 02:52:17 EDT
Spec Name or Url: http://people.redhat.com/lmacken/net6.spec
SRPM Name or Url: http://people.redhat.com/lmacken/net6-1.1.0-1.src.rpm
Description:
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.
Comment 1 Adrian Reber 2005-09-29 03:45:19 EDT
> Requires: libsigc++20
This is usually not necessary as it is picked up automatically by RPM.

The -devel package needs "Requires: pkgconfig, libsigc++20-devel"

You have to use the %find_lang macro
Comment 2 Ralf Corsepius 2005-09-29 04:04:56 EDT
> %description devel
>  .. This package contains
> the static library for use of net6.

... This doesn't match reality.
Comment 3 Luke Macken 2005-09-29 12:42:55 EDT
(In reply to comment #1)
> > Requires: libsigc++20
> This is usually not necessary as it is picked up automatically by RPM.
> 
> The -devel package needs "Requires: pkgconfig, libsigc++20-devel"
> 
> You have to use the %find_lang macro

Done.
Comment 4 Luke Macken 2005-09-29 12:44:21 EDT
(In reply to comment #2)
> > %description devel
> >  .. This package contains
> > the static library for use of net6.
> 
> ... This doesn't match reality.

Meaning the package doesn't contain the static library ? or the description is
false somehow ?

Suggestions welcome.
Comment 5 Ralf Corsepius 2005-09-29 13:20:42 EDT
(In reply to comment #4)

> Meaning the package doesn't contain the static library ?
Yep.

> Suggestions welcome.
Just delete the sentence.
Comment 6 Luke Macken 2005-09-29 15:15:23 EDT
(In reply to comment #5)
> (In reply to comment #4)
> 
> > Meaning the package doesn't contain the static library ?
> Yep.
> 
> > Suggestions welcome.
> Just delete the sentence.

Heh, oops :) Removed static library reference.
Comment 7 Adrian Reber 2005-09-30 01:55:15 EDT
Could you please update the changelog and the release.

If you use the %find_lan macro you have to exclude the .mo files from the %files
section and include them with %files -f %{name}.lang
Comment 9 Adrian Reber 2005-09-30 03:28:02 EDT
Looks pretty good. The only thing now missing is a "Requires: libsigc++20-devel"
in the -devel subpackage.
Comment 10 Luke Macken 2005-09-30 11:20:44 EDT
(In reply to comment #9)
> Looks pretty good. The only thing now missing is a "Requires: libsigc++20-devel"
> in the -devel subpackage.

Fixed (although if -devel Requires %{name}-%{version} (which requires
libsigc++20-devel), is this even necessary?)
Comment 11 Adrian Reber 2005-09-30 16:07:43 EDT
> Fixed (although if -devel Requires %{name}-%{version} (which requires 
> libsigc++20-devel), is this even necessary?)

%{name}-%{version} doesn't require libsigc++20-devel, it is a BuildRequires. As
the header files in the -devel package do include header files from
libsigc++20-devel (and there is also a reference to it in the pkgconfig file) it
is necessary that the -devel package Requires: libsigc++20-devel. That way other
package only have to BuildRequire net6-devel and all necessary Requires are
automatically pulled in, like it should be for example in obby.
Comment 12 Adrian Reber 2005-10-02 08:06:02 EDT
* source matches upstream
* rpmlint is almost happy
* spec looks good
* use of find_lang macro
* correct Requires and BuildRequires
* scriptlets look sane
* correct use of -devel subpackage
* clean installation and removal

APPROVED

Please update changelog and release during each review step.
Comment 13 Luke Macken 2005-10-02 18:44:43 EDT
Imported into CVS, branches requested for fc-3 and fc-4, and successfully tagged
and built devel branch for Fedora Extras.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.